### Type parameters

- #### T

- #### R: QueryRequest<T> | ScanRequest<T>

- #### I: QueryInput | ScanInput

- #### Z: QueryResponse<T> | ScanResponse<T>

### Hierarchy

- BaseRequest<T, I>
  - Request
    - ScanRequest
    - QueryRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- modelClazz
- params
- DEFAULT_LIMIT
- INFINITE_LIMIT

### Accessors

- metaData

### Methods

- exclusiveStartKey
- exec
- execCount
- execFullResponse
- execNoMap
- execSingle
- index
- limit

## Constructors

### constructor

- new Request(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string): Request

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/request.model.ts:18

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### tableName: string

  #### Returns Request

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:19

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:21

### params

params: I

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:20

### Static DEFAULT_LIMIT

DEFAULT_LIMIT: number = 10

- Defined in dynamo/request/request.model.ts:17

### Static INFINITE_LIMIT

INFINITE_LIMIT: number = -1

- Defined in dynamo/request/request.model.ts:18

## Accessors

### metaData

metaData:

Inherited from BaseRequest.metaData

- Defined in dynamo/request/base.request.ts:38

## Methods

### exclusiveStartKey

- exclusiveStartKey(key: Key | null): R

- - Defined in dynamo/request/request.model.ts:31

  #### Parameters

  - ##### key: Key | null

    A map representing the start id which is included in next call, if null is delivered startKey will be removed from params

  #### Returns R

### Abstract exec

- exec(): Observable<T[]>

- Overrides BaseRequest.exec

  - Defined in dynamo/request/request.model.ts:70

  #### Returns Observable<T[]>

### Abstract execCount

- execCount(): Observable<number>

- - Defined in dynamo/request/request.model.ts:74

  #### Returns Observable<number>

### Abstract execFullResponse

- execFullResponse(): Observable<Z>

- Overrides BaseRequest.execFullResponse

  - Defined in dynamo/request/request.model.ts:66

  #### Returns Observable<Z>

### Abstract execNoMap

- execNoMap(): Observable<QueryOutput | ScanOutput>

- - Defined in dynamo/request/request.model.ts:68

  #### Returns Observable<QueryOutput | ScanOutput>

### Abstract execSingle

- execSingle(): Observable<T | null>

- - Defined in dynamo/request/request.model.ts:72

  #### Returns Observable<T | null>

### index

- index(indexName: string): R

- - Defined in dynamo/request/request.model.ts:41

  #### Parameters

  - ##### indexName: string

  #### Returns R

### limit

- limit(limit: number): R

- - Defined in dynamo/request/request.model.ts:52

  #### Parameters

  - ##### limit: number

  #### Returns R

Generated using TypeDoc